#include <stdio.h>
#include "a_station.h"

int main() {
    struct station* station = create_station();

    add_target_capacity(station, "Bratislava", 100);
    add_target_capacity(station, "Kosice", 150);
    add_target_capacity(station, "Bratislava", 50);

    printf("Capacity to Bratislava: %d\n", get_target_capacity(station, "Bratislava"));
    printf("Total number of targets: %d\n", count_targets(station));
    printf("Total capacity: %d\n", count_capacity(station));

    destroy_station(station);
    return 0;
}

